# FILE_IO.h File Reference

`#include "ace/FILE.h"`
`#include "ace/FILE_Addr.h"`
`#include "ace/os_include/os_stdio.h"`
`#include "ace/os_include/sys/os_uio.h"`
`#include "ace/FILE_IO.inl"`

Include dependency graph for FILE_IO.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_FILE_IO
| Read/Write operations on Files. More...

## Detailed Description

Id
  FILE_IO.h,v 4.28 2005/10/28 16:14:52 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>